At Sun, 10 Aug 2003 00:58:38 +0900,
Masao Mutoh wrote:
> Ruby-GNOME2-0.6.0をリリースしました。

 FreeBSD 4.x でビルドすると pthread のリンクエラーが出る問題が
あり、 FreeBSD GNOME Project の Joe Marcus Clarke から次のような
報告とパッチが送られてきました。

 (ほかの環境でも)問題ないようであれば取り込んでいただけますか?
よろしくお願いします。

At Tue, 12 Aug 2003 00:02:44 -0400,
Joe Marcus Clarke wrote:
> I was trying to update ruby-gnome2 on my -STABLE machine, and found it
> couldn't resolve pthread symbols.  Looks like the Ruby configurator is
> only getting the -l libraries when -STABLE requires -pthread as well. 
> The attached patch solved the problem for me.  Thanks!

--- ../glib/src/lib/mkmf-gnome2.rb.orig	Mon Aug 11 23:50:06 2003
+++ ../glib/src/lib/mkmf-gnome2.rb	Mon Aug 11 23:50:08 2003
@@ -42,7 +42,7 @@
     STDOUT.flush
     if exists? pkg
       STDOUT.print "yes\n"
-      $libs   += ' ' + libs_only_l(pkg)
+      $libs   += ' ' + libs(pkg)
       $LDFLAGS += ' ' + libs_only_L(pkg)
       $CFLAGS += ' ' + cflags(pkg)
       true

-- 
                     /
                    /__  __            Akinori.org / MUSHA.org
                   / )  )  ) )  /     FreeBSD.org / Ruby-lang.org
Akinori MUSHA aka / (_ /  ( (__(  @ iDaemons.org / and.or.jp

"It seems to me as we make our own few circles 'round the sun
          We get it backwards and our seven years go by like one"